## org.eclipse.jst.jsf.core.jsfappconfig
Class RuntimeClasspathJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
          org.eclipse.jst.jsf.core.jsfappconfig.RuntimeClasspathJSFAppConfigLocater

All Implemented Interfaces:
  IJSFAppConfigLocater

    public class RuntimeClasspathJSFAppConfigLocater

extends AbstractJSFAppConfigLocater

RuntimeClasspathJSFAppConfigLocater attempts to locate application configuration files in JAR files on the runtime classpath. The runtime classpath includes the server runtime classpath and the JAR files that will be deployed to the web application's /WEB-INF/lib folder.

Provisional API - subject to change

Constructor Summary
`RuntimeClasspathJSFAppConfigLocater()`

Method Summary
`void` `elementChanged(ElementChangedEvent event)` Called when a Java element has changed.
`void` `locateProviders()` Locates application configuration resources specified in JAR files on the runtime classpath, and updates the set of `IJSFAppConfigProvider` instances accordingly.
`void` `startLocating()` Starts locating JSF application configuration resources.
`void` `stopLocating()` Stops locating JSF application configuration resources.

Methods inherited from class org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater
`dispose, getJSFAppConfigManager, getJSFAppConfigProviders, setJSFAppConfigManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeClasspathJSFAppConfigLocater

    public RuntimeClasspathJSFAppConfigLocater()

Method Detail

### startLocating

    public void startLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Starts locating JSF application configuration resources.

  Specified by:
    `startLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `startLocating` in class `AbstractJSFAppConfigLocater`

### stopLocating

    public void stopLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Stops locating JSF application configuration resources.

  Specified by:
    `stopLocating` in interface `IJSFAppConfigLocater`
  Specified by:
    `stopLocating` in class `AbstractJSFAppConfigLocater`

### locateProviders

    public void locateProviders()

  Locates application configuration resources specified in JAR files on the runtime classpath, and updates the set of `IJSFAppConfigProvider` instances accordingly.

### elementChanged

    public void elementChanged(ElementChangedEvent event)

  Called when a Java element has changed.

  Parameters:
    `event` - ElementChangedEvent instance describing the change.